#include "config.h"
#include "common.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <pipi.h>

int main(int argc, char *argv[])
{
    char *srcname = NULL, *dstname = NULL;
    pipi_image_t *img, *newimg;

    if(argc < 3)
    {
        fprintf(stderr, "%s: too few arguments\n", argv[0]);
        fprintf(stderr, "Usage: %s <src> <radius> <dest>\n", argv[0]);
        return EXIT_FAILURE;
    }

    srcname = argv[1];
    dstname = argv[3];

    img = pipi_load(srcname);
    newimg = pipi_gaussian_blur(img, atof(argv[2]));
    pipi_free(img);

    pipi_save(newimg, dstname);
    pipi_free(newimg);

    return 0;
}

